<?php

include 'c_leitura.php';
require_once("db.php");

$filename = 'c_leitura.php';

if (!file_exists($filename)) {
    header("Location: error.php");
    exit;
}

session_start();

$nivel_necessario = 6;

// Verifica se não há a variável da sessão que identifica o usuário
if (!isset($_SESSION['UsuarioID']) OR ( $_SESSION['UsuarioNivel'] > $nivel_necessario)) {
	// Destrói a sessão por segurança
	session_destroy();
	// Redireciona o visitante de volta pro login
	header("Location: index.php");
	exit;
}

function getApoios($id_user) {
    $apoio = array();
    $tablets_resultSocios = mysql_query("SELECT id FROM user "
            . " WHERE id_apoio = $id_user "
            . " AND status = 1");
    $apoio[] = $id_user;
    while ($rowSocios = mysql_fetch_array($tablets_resultSocios)) {
        $apoio[] = $rowSocios['id'];
    }
    return $apoio;
}

$id_user = $_SESSION['UsuarioID'];
$nivel = $_SESSION['UsuarioNivel'];

if ($nivel == 1) {
	$tablets_result = mysql_query("SELECT tablet.idprod, tablet.ultimo_contato "
			. " FROM tablet,ponto "
			. " WHERE tablet.id_ponto = ponto.id ");
}
if ($nivel == 2) {
	$tablets_result = mysql_query("SELECT tablet.idprod, tablet.ultimo_contato "
			. " FROM tablet,ponto,user a "
			. " WHERE tablet.id_ponto = ponto.id "
			. " AND tablet.cliente = a.username "
			. " AND a.id_apoio = " . $id_user . " ");
}

if ($nivel == 3) {
	$apoios = getApoios($id_user);
	$tablets_result = mysql_query("SELECT tablet.idprod, tablet.ultimo_contato "
			. " FROM tablet,ponto "
			. " WHERE tablet.id_ponto = ponto.id  "
			. " AND tablet.id_apoio IN (" . implode(',', $apoios) . ')');
}

if ($nivel == 4) {
	$tablets_result = mysql_query("SELECT tablet.idprod, tablet.ultimo_contato "
			. " FROM tablet,ponto "
			. " WHERE tablet.id_ponto = ponto.id  "
			. " AND tablet.id_apoio = " . $id_user . " ");
}

if (($nivel == 5) OR ($nivel == 6)) {
	$tablets_result = mysql_query("SELECT tablet.idprod, tablet.ultimo_contato "
			. " FROM tablet,ponto, user a "
			. " WHERE tablet.id_ponto = ponto.id "
			. " AND ponto.id = a.id_apoio AND a.id = " . $id_user);
}

$result = array ();

date_default_timezone_set('America/Sao_Paulo');
$agora = date ('Y-m-d H:i:s');

while ($tablet = mysql_fetch_array($tablets_result)) {

	$ultimo_contato = date ('Y-m-d H:i:s', strtotime ($tablet['ultimo_contato']));

	$decorrido = strtotime ($agora) - strtotime ($ultimo_contato);

	$status = $decorrido < 10 ? "ONLINE" : "OFFLINE";
	
	$idprod = $tablet['idprod'];

	$leitura_result = mysql_query ("SELECT creditos FROM leitura WHERE idprod = '$idprod'");
	$creditos = mysql_fetch_array ($leitura_result)[0];
	
	array_push ($result, [ 'idprod' => $idprod, 'status' => $status, 'creditos' => $creditos ]);
}

echo json_encode ($result);

?>